Skip to content

Get managed line definition

GET
/v1/ns/{nsid}/resources/lines/{line}
curl --request GET \
--url https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resources/lines/example \
--header 'Authorization: Bearer <token>'
nsid
required
string format: uuid

Namespace UUID

line
required
string

OK

Media typeapplication/json
object
success
boolean
line
object
line
string
line_profile
string
voicemail
string
caller_id
string
internal_caller_id
string
caller_id_name
string
ring_group
string
devices
Array<string>
alias
string
alias_namespace
string
alias_trunk
string
e911_address
string
e911_zip
string
e911_state
string
max_concurrent
integer
Examplegenerated
{
"success": true,
"line": {
"line": "example",
"line_profile": "example",
"voicemail": "example",
"caller_id": "example",
"internal_caller_id": "example",
"caller_id_name": "example",
"ring_group": "example",
"devices": [
"example"
],
"alias": "example",
"alias_namespace": "example",
"alias_trunk": "example",
"e911_address": "example",
"e911_zip": "example",
"e911_state": "example",
"max_concurrent": 1
}
}

Error response

Media typeapplication/problem+json

RFC 7807 Problem Details

object
type

Problem type slug URI

string
title
string
status
integer
detail
string
key
additional properties
any
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example"
}